Package rdkit :: Package Chem :: Module SATIS

[hide private]
[frames] | no frames]

# Module SATIS

source code

    Functionality for SATIS typing atoms

Functions | [hide private]

SATISTypes(mol, neighborsToInclude=4) returns SATIS codes for all atoms in a molecule | source code

Variables | [hide private]

| _debug = `0`
| aldehydePatt = `Chem.MolFromSmarts('[CD2]=[OD1]')`
| ketonePatt = `Chem.MolFromSmarts('[CD3]=[OD1]')`
| amidePatt = `Chem.MolFromSmarts('[CD3](=[OD1])-[#7]')`
| esterPatt = `Chem.MolFromSmarts('C(=[OD1])-O-[#6]')`
| carboxylatePatt = `Chem.MolFromSmarts('C(=[OD1])-[OX1]')`
| carboxylPatt = `Chem.MolFromSmarts('C(=[OD1])-[OX2]')`
| specialCases = `carboxylatePatt, 97, (esterPatt, 96), (carboxyl`...``

Imports: Chem, xrange

Function Details | [hide private]

### SATISTypes(mol, neighborsToInclude=4)

source code

    returns SATIS codes for all atoms in a molecule

    The SATIS definition used is from:
    J. Chem. Inf. Comput. Sci. _39_ 751-757 (1999)

    each SATIS code is a string consisting of _neighborsToInclude_ + 1
    2 digit numbers

    **Arguments**

      - mol: a molecule

      - neighborsToInclude (optional): the number of neighbors to include
        in the SATIS codes

    **Returns**

      a list of strings nAtoms long

Variables Details | [hide private]

### specialCases

Value:

      carboxylatePatt, 97, (esterPatt, 96), (carboxylPatt, 98), (amidePatt,
      95), (ketonePatt, 94), (aldehydePatt, 93)